Module java.xml.ws
Package javax.xml.ws

## Annotation Type BindingType

-     @Target(TYPE)
      @Retention(RUNTIME)
      @Documented
      public @interface BindingType

  The `BindingType` annotation is used to specify the binding to use for a web service endpoint implementation class.

  This annotation may be overridden programmatically or via deployment descriptors, depending on the platform in use.

  Since:
    1.6, JAX-WS 2.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `String` | `value` | A binding identifier (a URI).

- - ### Element Detail

    - #### value

          String value

      A binding identifier (a URI). If not specified, the default is the SOAP 1.1 / HTTP binding.
      See the `SOAPBinding` and `HTTPBinding` for the definition of the standard binding identifiers.
      Returns:
        A binding identifier (a URI)
      See Also:
        `Binding`, `SOAPBinding.SOAP11HTTP_BINDING`, `SOAPBinding.SOAP12HTTP_BINDING`, `HTTPBinding.HTTP_BINDING`
      Default:
        ""